import dynamix_sdk.base as _base


class CloudapiLbMakeHighlyAvailableResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbMakeHighlyAvailableProtocol(_base.BasePostAPIFunctionProtocol):
    def make_highly_available(
        self,
        *,
        lb_id: int,
    ) -> CloudapiLbMakeHighlyAvailableResultBool:
        ...
